Bug 122376 - PLSQL call for free desktop trial
PLSQL call for free desktop trial
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Red Hat Satellite QA List
:
Depends On:
Blocks: 122375
  Show dependency treegraph
 
Reported: 2004-05-03 16:21 EDT by Joe deBlaquiere
Modified: 2008-05-02 14:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-02 14:25:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe deBlaquiere 2004-05-03 16:21:45 EDT
Need a way to expose creation of RHNFREE slots to www.redhat.com. This
will be called to enable the RH Desktop Evaluation program (rather
than the current manual RHEL eval program). 

The call should provide the following fields:
- username
- product
- start date
- end date
Comment 1 Peter Jones 2004-05-04 18:22:52 EDT
on dev.  Actual API is:

procedure rhn.rhn_external_api.create_rhnfree_entitlement(
                login_in in varchar2,
                item_code_in in varchar2,
                quantity_in in number,
                start_date_active_in in date,
                end_date_active_in in date,
                return_flag out varchar2,
                return_msg out varchar2
        );

return_flag will be 'S' or 'F' (success or failure).  If it's 'F', an
error message will be in return_msg.
Comment 3 Clifford Perry 2008-05-02 14:25:17 EDT
Assume this is fixed. Closing this one out. Cliff. 

Note You need to log in before you can comment on or make changes to this bug.